"""Calculate command implementation for FTTH metrics."""
from rich.console import Console
from rich.panel import Panel

console = Console()

def run_calculate(homes: int, area: float) -> None:
    """Execute the calculate command logic."""
    console.print(Panel.fit("📊 Calculating FTTH Metrics", title="PyHLD"))
    if homes and area:
        density = homes / area
        console.print(f"Homes: {homes}")
        console.print(f"Area: {area} km²")
        console.print(f"Density: {density:.2f} homes/km²")